Bug 235412 - sysutils/cbsd: update to 12.0.4
Summary: sysutils/cbsd: update to 12.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-01 23:38 UTC by olevole
Modified: 2019-02-16 18:37 UTC (History)
2 users (show)

See Also:
olevole: maintainer-feedback+


Attachments
sysutils/cbsd: update to 12.0.4 (1.14 KB, text/plain)
2019-02-01 23:38 UTC, olevole
olevole: maintainer-approval+
Details
sysutils/cbsd: update to 12.0.4 (1.14 KB, text/plain)
2019-02-10 16:03 UTC, olevole
olevole: maintainer-approval+
Details
sysutils/cbsd: update to 12.0.4 (1.14 KB, patch)
2019-02-13 23:13 UTC, olevole
olevole: maintainer-approval+
Details | Diff
sysutils: update cbsd to 12.0.4 (1.12 KB, patch)
2019-02-16 09:33 UTC, olevole
olevole: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olevole 2019-02-01 23:38:21 UTC
Created attachment 201619 [details]
sysutils/cbsd: update to 12.0.4

changes:  https://github.com/cbsd/cbsd/releases/tag/v12.0.4

CBSD used pkgconf, so add pkgconf:devel/pkgconf as RUN_DEPENDS ( besides BUILD_DEPENDS which is also needed )
Comment 1 olevole 2019-02-10 16:03:48 UTC
Created attachment 201895 [details]
sysutils/cbsd: update to 12.0.4

update checksum: one more patch is included until not commited to ports
Comment 2 olevole 2019-02-13 11:52:42 UTC
any updates?
Comment 3 Boris Samorodov freebsd_committer 2019-02-13 22:26:21 UTC
I get a fetch error (size mismatch) with poudriere testport:
-----
=======================<phase: fetch          >============================                                                                                                                                                                  
===>  License BSD2CLAUSE accepted by the user                                                                                                                                                                                                
===>   cbsd-12.0.4 depends on file: /usr/local/sbin/pkg - found                                                                                                                                                                              
=> cbsd-cbsd-12.0.4_GH0.tar.gz doesn't seem to exist in /portdistfiles/.                                                                                                                                                                     
=> Attempting to fetch https://codeload.github.com/cbsd/cbsd/tar.gz/12.0.4?dummy=/cbsd-cbsd-12.0.4_GH0.tar.gz                                                                                                                                
fetch: https://codeload.github.com/cbsd/cbsd/tar.gz/12.0.4?dummy=/cbsd-cbsd-12.0.4_GH0.tar.gz: size unknown                                                                                                                                  
fetch: https://codeload.github.com/cbsd/cbsd/tar.gz/12.0.4?dummy=/cbsd-cbsd-12.0.4_GH0.tar.gz: size of remote file is not known                                                                                                              
cbsd-cbsd-12.0.4_GH0.tar.gz                           5643 kB 1460 kBps    04s                                                                                                                                                               
=> Fetched file size mismatch (expected 5779523, actual 5778841)                                                                                                                                                                             
=> Trying next site                                                                                                                                                                                                                          
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/cbsd-cbsd-12.0.4_GH0.tar.gz                                                                                                                                              
fetch: http://distcache.FreeBSD.org/ports-distfiles/cbsd-cbsd-12.0.4_GH0.tar.gz: Not Found                                                                                                                                                   
=> Couldn't fetch it - please try to retrieve this                                                                                                                                                                                           
=> port manually into /portdistfiles/ and try again.                                                                                                                                                                                         
*** Error code 1
-----
Comment 4 olevole 2019-02-13 23:13:13 UTC
Created attachment 201998 [details]
sysutils/cbsd: update to 12.0.4

update patch
Comment 5 olevole 2019-02-13 23:13:51 UTC
I'm sorry, I accidentally broke a branch with my last commit, after checking the patch.

I created another patch.
Comment 6 olevole 2019-02-13 23:21:30 UTC
For some reason I can't get in touch with Steve:

1) 
Date: Sun, 10 Feb 2019 19:49:38 +0300
Message-ID: <CAMsb+mYh=EQRiPaRoNere2sLcTA2U8iiMtk-7aTzGHZ2b=u7gA@mail.gmail.com>
Subject: notes for https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=235412
From: Oleg Ginzburg <olevole@olevole.ru>
To: Steve Wills <swills@freebsd.org>

2)
Date: Tue, 12 Feb 2019 11:35:28 +0300
Message-ID: <CAMsb+mZ2ceVPgk6O7sp4KRv7Mt7X6kOjTHGwPDjJ=4jFZ30QGA@mail.gmail.com>
Subject: Hi, communication check
From: Oleg Ginzburg <olevole@olevole.ru>
To: Steve Wills <swills@freebsd.org>

Maybe my messages get into the spam folder, so I will follow-up this PR besides private mail. While I see @swills activity by SVN commit log every day ;) Maybe he is very busy.

https://www.freebsd.org/doc/en/articles/pr-guidelines/pr-types.html#pr-assigned  4.2. Assigned PRs says:

> If the assignee does not respond within two weeks, unassign the PR and do as you please.

But I can't find how i can reset assignee in Bugzilla interfaces.
Comment 7 Boris Samorodov freebsd_committer 2019-02-14 14:36:02 UTC
The port builds now, thanks.

As for the path I propose the second hunk of the Makefile path to be (mind spaces should be tabs):
-----
@@ -17,7 +17,7 @@
 LIB_DEPENDS=   libssh2.so:security/libssh2 \
                libsqlite3.so:databases/sqlite3

-USES=          libedit pkgconfig
+USES=          libedit pkgconfig:both
 USE_GITHUB=    yes
 USE_RC_SUBR=   cbsdd cbsdrsyncd cbsd-statsd-bhyve cbsd-statsd-hoster cbsd-statsd-jail

-----

> But I can't find how i can reset assignee in Bugzilla interfaces.

One may use FreeBSD-ports@ ML to discuss ports PRs.
Comment 8 Boris Samorodov freebsd_committer 2019-02-14 14:39:10 UTC
Sorry, the:
-----
As for the path I propose the second hunk of the Makefile path to be (mind spaces should be tabs):
-----

Should be:
-----
As for the patch I propose the second hunk of the Makefile patch to be (mind spaces should be tabs):
-----
Comment 9 olevole 2019-02-16 09:33:49 UTC
Created attachment 202062 [details]
sysutils: update cbsd to 12.0.4

Use

USES= pkgconfig:both

instead of RUN_DEPENDS as suggested by bsam@
Comment 10 Kurt Jaeger freebsd_committer 2019-02-16 18:37:11 UTC
committed, thanks!
Comment 11 commit-hook freebsd_committer 2019-02-16 18:37:59 UTC
A commit references this bug:

Author: pi
Date: Sat Feb 16 18:37:12 UTC 2019
New revision: 493057
URL: https://svnweb.freebsd.org/changeset/ports/493057

Log:
  sysutils/cbsd: update 12.0.3 -> 12.0.4

  PR:		235412
  Submitted by:	olevole@olevole.ru (maintainer)
  Reviewed by:	bsam
  Relnotes:	https://github.com/cbsd/cbsd/releases/tag/v12.0.4

Changes:
  head/sysutils/cbsd/Makefile
  head/sysutils/cbsd/distinfo